package com.yihu.jw.entity.care.sign;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 能力评估-精神状态与社会交流能力表
 * Created by Bing on 2021/4/1.
 */
@Entity
@Table(name = "base_capacity_assessment_social_ability")
public class CapacityAssessmentSocialAbilityDo extends UuidIdentityEntityWithCreateTime {

    private String assessmentYear;    //评估年份
    private Integer status; //状态 0失效 1有效
    private String  patient;    //
    private String  aggressScore;  //攻击行为得分 总分3分
    private String  depressedScore;    //抑郁状态得分 总分5分
    private String  consciousnessScore;    //意识水平得分 总分5分
    private String  communicateScore;  //沟通交流得分 总分3分
    private String  socialSkillsScore;    //社交能力得分
    private String  visionScore;   //视力功能得分
    private String  hearingScore;  //听力能力得分
    private String  totalScore;    // 精神状态与社会交流能力总分 上述得分和 总分22
    private String  abilityGrade;  //能力等级:0能力完好(22);1轻度受损(15-21);2中度受损(7-14);3重度受损(≤6)

    public String getAssessmentYear() {
        return assessmentYear;
    }

    public void setAssessmentYear(String assessmentYear) {
        this.assessmentYear = assessmentYear;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getAggressScore() {
        return aggressScore;
    }

    public void setAggressScore(String aggressScore) {
        this.aggressScore = aggressScore;
    }

    public String getDepressedScore() {
        return depressedScore;
    }

    public void setDepressedScore(String depressedScore) {
        this.depressedScore = depressedScore;
    }

    public String getConsciousnessScore() {
        return consciousnessScore;
    }

    public void setConsciousnessScore(String consciousnessScore) {
        this.consciousnessScore = consciousnessScore;
    }

    public String getCommunicateScore() {
        return communicateScore;
    }

    public void setCommunicateScore(String communicateScore) {
        this.communicateScore = communicateScore;
    }

    public String getSocialSkillsScore() {
        return socialSkillsScore;
    }

    public void setSocialSkillsScore(String socialSkillsScore) {
        this.socialSkillsScore = socialSkillsScore;
    }

    public String getVisionScore() {
        return visionScore;
    }

    public void setVisionScore(String visionScore) {
        this.visionScore = visionScore;
    }

    public String getHearingScore() {
        return hearingScore;
    }

    public void setHearingScore(String hearingScore) {
        this.hearingScore = hearingScore;
    }

    public String getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(String totalScore) {
        this.totalScore = totalScore;
    }

    public String getAbilityGrade() {
        return abilityGrade;
    }

    public void setAbilityGrade(String abilityGrade) {
        this.abilityGrade = abilityGrade;
    }
}
